2
votes
1answer
78 views

Secure against c99 and similar shells

I'm trying to secure my server as much as i can without limiting my options, so as a first step i've prevented dangerous functions with php disable_functions = "apache_child_terminate, apache_setenv, ...
0
votes
2answers
484 views

Will compiling PHP 5.4 work on a server that has PHP 5.3 installed?

I have a dev machine with Ubuntu 12.04. I installed AMP by following directions from http://www.howtoforge.com/installing-apache2-with-php5-and-mysql-support-on-ubuntu-12.04-lts-lamp. Will it work ...
1
vote
1answer
88 views

Best way to Install Lampp setup on Ubuntu

What is the best way to install a lampp setup in ubuntu? I know to install using xampp. Is it ok for using as a central development server? Or if am installing individually what are the packages i ...
0
votes
0answers
321 views

Centos 6.2: PHP5 not talking to Apache2

Setting up a LAMP server, installing the latest apache2.2.21 and php-5.3.9 using source. Downloaded all needed dependancies, ./configure make install no errors, all the module files are where it ...
0
votes
2answers
2k views

Apache2 and PHP5 won't work together

I installed the latest apache web server on my system using all default configs (simply ./configure, make, make install). Then I was trying to tie PHP5 into it but I can never get it working. First ...
1
vote
2answers
1k views

Ack! Upgrading Debian from Lenny to Squeeze has killed PHP!

Today I did a dist-upgrade from Lenny to Squeeze (I've done this before on many other servers without much trouble), and most everything seems to work except for PHP. Sites that use PHP just show the ...
1
vote
1answer
351 views

How do I connect Apache2 and PHP5?

I'm trying to install the LAMP stack on a server running Ubuntu 10.10. Whenever I browser to a PHP file on the server, my browser will download it as a file named "download" (with no extension). I ...
0
votes
2answers
1k views

How to reinstall a LAMP server?

I want to reinstall the whole LAMP server under Debian Lenny. This means, using 'apt-get remove' is not enough, I want to remove completely all components, and start again. I tried but files are ...
7
votes
1answer
8k views

Where is php.ini-development on Ubuntu LAMP?

On my development machine I run Ubuntu 10.04.1 LTS. Following the official documentation, I used the following command to install Apache, MySQL and PHP in one go: sudo tasksel install lamp-server ...
5
votes
6answers
772 views

smallest possible linux installation with apache

I want to setup a linux vm with apache and php and mysql support, which version of linux should I pick up. I dont have a good bandwidth, preferably a smaller ISO of the installer is also appreciated.